GET
List total balances by coin
Returns total balances by asset (including tokens and NFTs) across all wallets in an enterprise.
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol
Query Params
-
allTokensbooleanInclude balances for all subtokens (i.e. ERC20 Tokens, Stellar Tokens) -
enterprisestring or array of stringsFilter by enterprise ID -
showAllWalletsbooleanInclude wallets that have 'deleted' or 'creationFailed' set to true -
includeStakingBalancesbooleanIncludestakingBalanceStringandrewardBalanceStringproperties for each staking wallet.
Responses
200
OK
Response Body
object
-
balancenumber requiredThe total balance of all wallets containing the given coin type. May lose precision for large values. -
confirmedBalancenumber requiredThe total balance of confirmed transactions for all wallets containing the given coin type. May lose precision for large values. -
spendableBalancenumber requiredThe total balance of all wallets containing the given coin which may be used as inputs for creating new transactions. May lose precision for large values. -
stakedBalancenumberThe total balance of all wallets containing the given coin which has been staked. May lose precision for large values. -
stakedBalanceStringstringString representation of 'stakedBalance'. Guaranteed to not lose precision. -
tokensmap of objectsObject of key value pairs where the keys are the token symbols (e.g. omg) and the values are the balance data for that token symbol.tokens object
-
<key>objectvalue object
-
transferCountnumber requiredNumber of transfers for the token. -
heldBalanceStringstringThe difference between the balanceString and the spendableBalanceString. -
balanceStringstring requiredString representation of the total balance of all wallets containing the given coin type. Guaranteed to not lose precision. -
confirmedBalanceStringstring requiredString representation of the total balance of confirmed transactions for all wallets containing the given coin type. Guaranteed to not lose precision. -
spendableBalanceStringstring requiredString representation of the total balance of all wallets containing the given coin which may be used as inputs for creating new transactions. Guaranteed to not lose precision. -
stakingBalanceStringstringThe staked balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
rewardBalanceStringstringThe staking reward balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
withdrawHoldAmountUsdStringstringTotal USD value (in cents) of active ACH-deposit related withdraw holds on this wallet. Only present for OFC wallets whenallTokens=trueis passed.
-
-
-
unsupportedTokensmap of objectsObject of key value pairs where the keys are the unsupported token contracts (e.g. 0x9928e4046d7c6513326ccea028cd3e7a91c7590a) and the values are the balance data for that token contract. UnsupportedTokens will only be returned for wallets that supports Metamask Institutional and has enableMMI flag turned onunsupportedTokens object
-
<key>objectvalue object
-
transferCountnumber requiredNumber of transfers for the token. -
heldBalanceStringstringThe difference between the balanceString and the spendableBalanceString. -
balanceStringstring requiredString representation of the total balance of all wallets containing the given coin type. Guaranteed to not lose precision. -
confirmedBalanceStringstring requiredString representation of the total balance of confirmed transactions for all wallets containing the given coin type. Guaranteed to not lose precision. -
spendableBalanceStringstring requiredString representation of the total balance of all wallets containing the given coin which may be used as inputs for creating new transactions. Guaranteed to not lose precision. -
stakingBalanceStringstringThe staked balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
rewardBalanceStringstringThe staking reward balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
withdrawHoldAmountUsdStringstringTotal USD value (in cents) of active ACH-deposit related withdraw holds on this wallet. Only present for OFC wallets whenallTokens=trueis passed.
-
-
-
balanceStringstring requiredString representation of the total balance of all wallets containing the given coin type. Guaranteed to not lose precision. -
confirmedBalanceStringstring requiredString representation of the total balance of confirmed transactions for all wallets containing the given coin type. Guaranteed to not lose precision. -
spendableBalanceStringstring requiredString representation of the total balance of all wallets containing the given coin which may be used as inputs for creating new transactions. Guaranteed to not lose precision. -
stakingBalanceStringstringThe staked balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
rewardBalanceStringstringThe staking reward balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
withdrawHoldAmountUsdStringstringTotal USD value (in cents) of active ACH-deposit related withdraw holds on this wallet. Only present for OFC wallets whenallTokens=trueis passed.
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id